Ticket #188 (closed bug: fixed)

Opened 6 years ago

Last modified 6 years ago

libffado.so does not define a SONAME

Reported by: rexbron Assigned to: rexbron
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO 2.0-rc1 (1.999.40)
Keywords: Cc:
The device the bug applies to:

Description

Libffado.so does not provide a SONAME. This goes against libtool and Debian library packaging best practice.

Having a soname would ease the packaging of libjack and speed FFado's inclusion into Ubuntu.

Attachments

soname.patch (0.6 kB) - added by adi on 12/23/08 03:00:33.
Patch for adding soname to libffado
soname-rename-lib.patch (431 bytes) - added by adi on 05/17/09 05:06:19.

Change History

12/23/08 03:00:33 changed by adi

  • attachment soname.patch added.

Patch for adding soname to libffado

(follow-up: ↓ 2 ) 12/23/08 03:04:32 changed by adi

We already had this halfway.

See the attached patch: it enables soname support for libffado.so. Works for me. I'm not sure if we want to set it to "libffado.so.2", I just copied what I've seen in other libs, i.e. ncurses:

adi@chopin:~$ objdump -p /usr/lib/libncurses.so.5 | grep SONAME
  SONAME      libncurses.so.5

(in reply to: ↑ 1 ) 12/24/08 14:00:04 changed by rexbron

Replying to adi:

We already had this halfway. See the attached patch: it enables soname support for libffado.so. Works for me. I'm not sure if we want to set it to "libffado.so.2", I just copied what I've seen in other libs, i.e. ncurses: {{{ adi@chopin:~$ objdump -p /usr/lib/libncurses.so.5 | grep SONAME SONAME libncurses.so.5 }}}

The libtool manual would be a good place to start: http://www.gnu.org/software/libtool/manual/libtool.html#Versioning

02/24/09 07:01:20 changed by rexbron

  • status changed from new to assigned.
  • owner set to rexbron.

Just an update on this bug and what I have done for Ubuntu, I have changed the soname in the build sys to 0.0.0u (the u standing for Ubuntu added) and libffado is packaged as libffado0. I will remove these changes when we decide on a correct soname that compiles with Debian and Ubuntu policy.

05/01/09 01:22:13 changed by adi

I've checked the libtool manual. The patch is right to set SONAME to libffado.so.2. The version information isn't compiled into the binary, it's just plaintext in the .la file.

Since libffado isn't a libtool library, all the other current:revision:age stuff does not apply here.

If possible, please apply the attached patch, so we'll have a SONAME in the next rc.

TIA

05/17/09 04:06:34 changed by ppalmers

  • status changed from assigned to closed.
  • resolution set to fixed.

(In [1554]) fixes #188

05/17/09 05:05:54 changed by adi

  • status changed from closed to reopened.
  • resolution deleted.

Hi!

Good to have the SONAME. Only problem: the helper utilities get linked against it, and so libffado.so.2 cannot be found when trying to start them.

Workaround: symlink libffado.so to libffado.so.2 or name the file libffado.so.2 instead.

I've attached a one-line patch which implements the latter option, but would be fine using a symlink, too. (ln -s libffado.so libffado.so.2, perhaps in the install target)

05/17/09 05:06:19 changed by adi

  • attachment soname-rename-lib.patch added.

05/17/09 07:37:22 changed by ppalmers

  • status changed from reopened to closed.
  • resolution set to fixed.

fixed by r1560